- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# FbxAnimUtilities::CurveNodeIntfce Class Reference

Search for all occurrences

## Detailed Description

Definition at line 65 of file fbxanimutilities.h.

`#include <fbxanimutilities.h>`

List of all members.

## Public Member Functions
| CurveNodeIntfce (void *pData)
| ~CurveNodeIntfce ()
FbxHandle | GetHandle ()
char * | GetTimeWarpName () const
CurveNodeIntfce | GetTimeWarp ()
CurveNodeIntfce | GetLayer (int pId)
int | GetCount ()
void * | GetHandle (unsigned int pId)
void * | GetCurveHandle (int pId=-1)
void | SetCurveHandle (void *pCurveHandle, int pId=-1)
CurveNodeIntfce | FindRecursive (const char *pName)
bool | IsValid ()
CurveNodeIntfce & | operator= (CurveNodeIntfce &lRhs)
bool | operator== (CurveNodeIntfce &lRhs)
## Friends
class | FbxAnimUtilities

## Constructor & Destructor Documentation

CurveNodeIntfce | ( | void * | pData | ) |

~CurveNodeIntfce | ( |  | ) |

## Member Function Documentation

FbxHandle GetHandle | ( |  | ) |

Search for all occurrences

char* GetTimeWarpName | ( |  | ) | const

Search for all occurrences

CurveNodeIntfce GetTimeWarp | ( |  | ) |

Search for all occurrences

CurveNodeIntfce GetLayer | ( | int | pId | ) |

Search for all occurrences

int GetCount | ( |  | ) |

Search for all occurrences

void* GetHandle | ( | unsigned int | pId | ) |

Search for all occurrences

void* GetCurveHandle | ( | int | pId = `-1` | ) |

Search for all occurrences

void SetCurveHandle | ( | void * | pCurveHandle,
|  | int | pId = `-1`
| ) |  |

Search for all occurrences

CurveNodeIntfce FindRecursive | ( | const char * | pName | ) |

Search for all occurrences

bool IsValid | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 85 of file fbxanimutilities.h.

    { return mImp != NULL; }

CurveNodeIntfce& operator= | ( | CurveNodeIntfce & | lRhs | ) | `[inline]`

Definition at line 86 of file fbxanimutilities.h.

            {
                mImp = lRhs.mImp;
                return *this;
            }

bool operator== | ( | CurveNodeIntfce & | lRhs | ) | `[inline]`

Definition at line 92 of file fbxanimutilities.h.

            {
                return (mImp == lRhs.mImp);
            }

## Friends And Related Function Documentation

friend class FbxAnimUtilities `[friend]`

Search for all occurrences

Definition at line 98 of file fbxanimutilities.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimutilities.h

FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce
FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce FbxAnimUtilities::CurveNodeIntfce